apiVersion: kustomize.config.k8s.io/v1beta1
commonLabels:
  app: ws-resif-fr
  context: staging
configMapGenerator:
- env: config.properties
  name: ws-resif-fr-configmap
images:
- name: gricad-registry.univ-grenoble-alpes.fr/osug/resif/ws.resif.fr
  newName: gricad-registry.univ-grenoble-alpes.fr/osug/resif/ws.resif.fr/ws-staging
  newTag: develop
kind: Kustomization
namePrefix: staging-
namespace: staging
patches:
- patch: |- # Ajout de l hote ws(-staging).resif.fr':
    - op: add
      path: /spec/rules/0/host
      value: ws-staging.resif.fr
  target:
    kind: Ingress
    name: ws-resif-fr-ingress
replicas:
- count: 1
  name: ws-resif-fr-deployment
resources:
- ../../base
